Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task.api
Interface TaskInstanceService

All Known Implementing Classes:
  CommandBasedTaskInstanceServiceImpl, DeadlinesDecorator, SubTaskDecorator, TaskInstanceServiceImpl

    public interface TaskInstanceService

The Task Instance Service is in charge of handling all the actions required to interact with a Task Instance. All the operations described in the WS-HT specification related with the Task Lifecycle are implemented here.

Method Summary
`void` | `activate(long taskId, String userId)`
`long` | `addTask(Task task, ContentData data)`
`long` | `addTask(Task task, Map<String,Object> params)`
`void` | `claim(long taskId, String userId)`
`void` | `claim(long taskId, String userId, List<String> groupIds)`
`void` | `claimNextAvailable(String userId, List<String> groupIds, String language)`
`void` | `claimNextAvailable(String userId, String language)`
`void` | `complete(long taskId, String userId, Map<String,Object> data)`
`void` | `delegate(long taskId, String userId, String targetUserId)`
`void` | `deleteFault(long taskId, String userId)`
`void` | `deleteOutput(long taskId, String userId)`
`void` | `exit(long taskId, String userId)`
`void` | `fail(long taskId, String userId, Map<String,Object> faultData)`
`void` | `forward(long taskId, String userId, String targetEntityId)`
`List<I18NText>` | `getDescriptions(long taskId)`
`Date` | `getExpirationDate(long taskId)`
`int` | `getPriority(long taskId)`
`SubTasksStrategy` | `getSubTaskStrategy(long taskId)`
`boolean` | `isSkipable(long taskId)`
`long` | `newTask(String name, Map<String,Object> params)` LIFECYCLE METHODS
`long` | `newTask(TaskDef def, Map<String,Object> params)`
`long` | `newTask(TaskDef def, Map<String,Object> params, boolean deploy)`
`void` | `nominate(long taskId, String userId, List<OrganizationalEntity> potentialOwners)`
`void` | `release(long taskId, String userId)`
`void` | `remove(long taskId, String userId)`
`void` | `resume(long taskId, String userId)`
`void` | `setDescriptions(long taskId, List<I18NText> descriptions)`
`void` | `setExpirationDate(long taskId, Date date)`
`void` | `setFault(long taskId, String userId, FaultData fault)`
`void` | `setOutput(long taskId, String userId, Object outputContentData)`
`void` | `setPriority(long taskId, int priority)`
`void` | `setSkipable(long taskId, boolean skipable)`
`void` | `setSubTaskStrategy(long taskId, SubTasksStrategy strategy)`
`void` | `setTaskNames(long taskId, List<I18NText> taskNames)`
`void` | `skip(long taskId, String userId)`
`void` | `start(long taskId, String userId)`
`void` | `stop(long taskId, String userId)`
`void` | `suspend(long taskId, String userId)`

Method Detail

### newTask

    long newTask(String name,
                 Map<String,Object> params)

  LIFECYCLE METHODS

### newTask

    long newTask(TaskDef def,
                 Map<String,Object> params)

### newTask

    long newTask(TaskDef def,
                 Map<String,Object> params,
                 boolean deploy)

### addTask

    long addTask(Task task,
                 Map<String,Object> params)

### addTask

    long addTask(Task task,
                 ContentData data)

### activate

    void activate(long taskId,
                  String userId)

### claim

    void claim(long taskId,
               String userId)

### claim

    void claim(long taskId,
               String userId,
               List<String> groupIds)

### claimNextAvailable

    void claimNextAvailable(String userId,
                            String language)

### claimNextAvailable

    void claimNextAvailable(String userId,
                            List<String> groupIds,
                            String language)

### complete

    void complete(long taskId,
                  String userId,
                  Map<String,Object> data)

### delegate

    void delegate(long taskId,
                  String userId,
                  String targetUserId)

### exit

    void exit(long taskId,
              String userId)

### fail

    void fail(long taskId,
              String userId,
              Map<String,Object> faultData)

### forward

    void forward(long taskId,
                 String userId,
                 String targetEntityId)

### release

    void release(long taskId,
                 String userId)

### remove

    void remove(long taskId,
                String userId)

### resume

    void resume(long taskId,
                String userId)

### skip

    void skip(long taskId,
              String userId)

### start

    void start(long taskId,
               String userId)

### stop

    void stop(long taskId,
              String userId)

### suspend

    void suspend(long taskId,
                 String userId)

### nominate

    void nominate(long taskId,
                  String userId,
                  List<OrganizationalEntity> potentialOwners)

### setFault

    void setFault(long taskId,
                  String userId,
                  FaultData fault)

### setOutput

    void setOutput(long taskId,
                   String userId,
                   Object outputContentData)

### deleteFault

    void deleteFault(long taskId,
                     String userId)

### deleteOutput

    void deleteOutput(long taskId,
                      String userId)

### setPriority

    void setPriority(long taskId,
                     int priority)

### setTaskNames

    void setTaskNames(long taskId,
                      List<I18NText> taskNames)

### setExpirationDate

    void setExpirationDate(long taskId,
                           Date date)

### setDescriptions

    void setDescriptions(long taskId,
                         List<I18NText> descriptions)

### setSkipable

    void setSkipable(long taskId,
                     boolean skipable)

### setSubTaskStrategy

    void setSubTaskStrategy(long taskId,
                            SubTasksStrategy strategy)

### getPriority

    int getPriority(long taskId)

### getExpirationDate

    Date getExpirationDate(long taskId)

### getDescriptions

    List<I18NText> getDescriptions(long taskId)

### isSkipable

    boolean isSkipable(long taskId)

### getSubTaskStrategy

    SubTasksStrategy getSubTaskStrategy(long taskId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.